<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: session Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>session Class Reference</h1><!-- doxytag: class="session" --><!-- doxytag: inherits="authentication" --><div class="dynheader">
Inheritance diagram for session:</div>
<div class="dynsection">
 <div class="center">
  <img src="classsession.gif" usemap="#session_map" alt=""/>
  <map id="session_map" name="session_map">
<area href="classauthentication.html" alt="authentication" shape="rect" coords="0,0,90,24"/>
</map>
 </div>
</div>

<p><a href="classsession-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsession.html#a3ed9c9250d95d158bbd8d2ddce408198">__construct</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsession.html#a66852c9d7abe12333d723f0aa11cab14">get_login</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class extends <a class="el" href="classauthentication.html">authentication</a> class to get information about user with SESSION variable.</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 03-02-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3ed9c9250d95d158bbd8d2ddce408198"></a><!-- doxytag: member="session::__construct" ref="a3ed9c9250d95d158bbd8d2ddce408198" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">session::__construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>constructor which call parent constructor</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

<p>Reimplemented from <a class="el" href="classauthentication.html#a51c7d39de8520fa7d41e5e8e762f7ed2">authentication</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a66852c9d7abe12333d723f0aa11cab14"></a><!-- doxytag: member="session::get_login" ref="a66852c9d7abe12333d723f0aa11cab14" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">session::get_login </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this function returns wims's login. It also checks if variable is set</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>string wims's login </dd></dl>

<p>Reimplemented from <a class="el" href="classauthentication.html#af94c0b076454f73ea61cb7e73bcd620b">authentication</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="session_8inc_8php.html">session.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
